<simple-notifications [options]="notificationService.options"></simple-notifications>
<div class="card">
  <div class="card-header">
    <h5 class="card-header-text"><i class="icofont icofont-users  m-r-10"></i>Team & Roles</h5>
  </div>
  <div class="card-body">
    <div class="p-20 z-depth-top-0 waves-effect" placement="bottom">
      <form #t="ngForm" (submit)="AddMember(t);" novalidate>
        <div class="row">
          <mat-form-field class="col-sm-4">
            <mat-select placeholder="Role" name="selectedRole" [(ngModel)]="selectedRole" required [disabled]="disableEdit">
              <mat-option *ngFor="let c of Roles" [value]="c">
                {{c.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          
          <mat-form-field class="col-sm-4">
            <input matInput
              [matDatepicker]="PickerTeamStartDay"
              placeholder="Start Date" [(ngModel)]="StartDate" name="StartDate" (dateChange)="addEvent('start')" required [disabled]="disableEdit" />
            <mat-datepicker-toggle matSuffix [for]="PickerTeamStartDay">
            </mat-datepicker-toggle>
            <mat-datepicker #PickerTeamStartDay
                            [touchUi]="touch"
                            [startView]="'month'">
            </mat-datepicker>
          </mat-form-field>

          <mat-form-field class="col-sm-4">
            <input matInput
                  [matDatepicker]="PickerTeamEndDay"
                  placeholder="End Date" [(ngModel)]="EndDate" name="EndDate" (dateChange)="addEvent('end')" required [disabled]="disableEdit" />
            <mat-datepicker-toggle matSuffix [for]="PickerTeamEndDay">
            </mat-datepicker-toggle>
            <mat-datepicker #PickerTeamEndDay
                            [touchUi]="touch"
                            [startView]="'month'">
            </mat-datepicker>
          </mat-form-field>
        </div>
        
        <div class="row">
          <mat-form-field class="col-sm-12">
            <mat-select multiple placeholder="Team Members" name="selectedItems" [(ngModel)]="selectedItems" required [disabled]="disableEdit">
              <mat-option *ngFor="let i of itemList" [value]="i">
                {{ i.itemName }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
            
        <div class="row">
          <div class="col-lg-12">
            <div class="row f-right">
              <div class="col-lg-12">
                <button type="submit" class="btn btn-primary ripple light btn-md" [disabled]="disableEdit || !t.valid">Add</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>  
      
    <div class="row" style="margin-top:25px">
      <div class="col-lg-12">
        <div class="p-20 z-depth-bottom-5 waves-effect" placement="bottom">
          <div class="table-responsive">
            <table class="table">
              <thead>
                <tr>
                  <th class="col-sm-4 th-firstCell-style">Member</th>
                  <th class="col-sm-2 th-table-style">Role</th>
                  <th class="col-sm-2 th-table-style">Planned Start date</th>
                  <th class="col-sm-2 th-table-style">Planned End Date</th>
                  <th class="text-right"></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let m of pagedItems">
                  <td>{{m.name}}</td>
                  <td align="center">{{m.role}}</td>
                  <td align="center">{{m.startDate}}</td>
                  <td align="center">{{m.EndDate}}</td>
                  <td class="td-actions" align="center">
                    <i class="icofont icofont-ui-delete icon-pointer" style="color:#d84315" (click)="!disableEdit && RemoveMember(m.roleId,m.memberId)"></i>
                  </td>
                </tr>
              </tbody>
            </table>
          
              <!-- pager -->
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination" style="float:right">
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(1)">First</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(pager.currentPage - 1)">Previous</a>
              </li>
              <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a (click)="setPage(page)">{{page}}</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.currentPage + 1)">Next</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.totalPages)">Last</a>
              </li>
            </ul>      
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
 